Loading...
Searching...
No Matches
etl::ireference_counted_object Class Referenceabstract

Base for all reference counted objects. More...

`#include <reference_counted_object.h>`

## Public Member Functions

virtual ETL_NODISCARD ireference_counter & | get_reference_counter ()=0
virtual ETL_NODISCARD const ireference_counter & | get_reference_counter () const =0

## Detailed Description

Base for all reference counted objects.

## Member Function Documentation

## get_reference_counter() [1/2]

virtual ETL_NODISCARD const ireference_counter & etl::ireference_counted_object::get_reference_counter | ( |  | ) | const

pure virtual

Implemented in etl::reference_counted_object< TObject, TCounter >.

## get_reference_counter() [2/2]

virtual ETL_NODISCARD ireference_counter & etl::ireference_counted_object::get_reference_counter | ( |  | ) |

pure virtual

Implemented in etl::reference_counted_object< TObject, TCounter >, etl::reference_counted_object< TMessage, TCounter >, and etl::reference_counted_object< TMessage, void >.

The documentation for this class was generated from the following file:

- include/etl/reference_counted_object.h